%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		seahorse-nautilus
Version:	3.10.1
Release:	%mkrel 3
Summary:	PGP encryption and signing for nautilus
License:	GPLv2+
URL:		https://wiki.gnome.org/Seahorse
Source0:	https://download.gnome.org//sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Group:		Graphical desktop/GNOME

BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	gnupg2
BuildRequires:	gpgme-devel >= 1.0
BuildRequires:	pkgconfig(libnautilus-extension)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(cryptui-0.0) >= 3.9.90
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	intltool
BuildRequires:	gettext-devel
Obsoletes:	seahorse-plugins < 3.0

%description
Seahorse nautilus is an extension for nautilus which allows encryption
and decryption of OpenPGP files using GnuPG.


%prep
%setup -q

%build
%configure2_5x --disable-static
%make


%install
%makeinstall_std

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README THANKS
%{_bindir}/seahorse-tool
%{_libdir}/nautilus/extensions-3.0/libnautilus-seahorse.so
%{_datadir}/applications/*.desktop
%{_datadir}/GConf/gsettings/org.gnome.seahorse.nautilus.convert
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.nautilus.*gschema.xml
%{_datadir}/seahorse-nautilus/
%{_mandir}/man1/seahorse-tool.1*


%changelog
* Sat Nov 09 2013 ovitters <ovitters> 3.10.1-3.mga4
+ Revision: 550200
- fix url

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 546085
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 502141
- new version 3.10.1

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484719
- new version 3.10.0

* Tue Aug 27 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 472152
- use configure2_5x
- bump req

  + ovitters <ovitters>
    - new version 3.9.90

* Sat May 25 2013 ovitters <ovitters> 3.8.0-1.mga4
+ Revision: 427245
- new version 3.8.0

* Mon Jan 14 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 381929
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306812
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297794
- new version 3.6.0

* Tue Sep 25 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 297789
- br gettext-devel
- add group
- Import modified Fedora package

